x020044_g_scriptId = 020044

x020044_g_CSParamIdxCurStage = 0			  --副本参数	
x020044_g_CSParamIdxCurSubStage = 1
x020044_g_CSParamIdxMonsterIndex = 2
x020044_g_CSParamIdxStoryIndex = 3
x020044_g_CSParamIdxAnimationIndex = 4
x020044_g_CSParamIdxMonsterNum = 5 


--奖励结算
function x020044_Succeed(scene)
	AccoutByStory(scene)
end

--副本Tick
function x020044_OnCopySceneTick(scene,tickCount)
	local curStage = GetCopySceneParam(scene,x020044_g_CSParamIdxCurStage)
	local curSubStage = GetCopySceneParam(scene,x020044_g_CSParamIdxCurSubStage)
	SetCopySceneParam(scene, x020044_g_CSParamIdxCurSubStage, curSubStage+1)

	if curSubStage == 5 then  
		AccoutByCopyScene(scene)
		SetCopySceneSuccess(scene)
	end
end
